Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.plugins.signing.type
[Groovy] Class AbstractSignatureType

    java.lang.Object
      org.gradle.plugins.signing.type.AbstractSignatureType

All Implemented Interfaces:
  SignatureType

    abstract class AbstractSignatureType

Method Summary
`String` | `combinedExtension(File toSign)`
`File` | `fileFor(File toSign)`
`File` | `sign(Signatory signatory, File toSign)`
`void` | `sign(Signatory signatory, InputStream toSign, OutputStream destination)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### combinedExtension

    String combinedExtension(File toSign)

### fileFor

    File fileFor(File toSign)

### sign

    File sign(Signatory signatory, File toSign)

### sign

    void sign(Signatory signatory, InputStream toSign, OutputStream destination)

Gradle API 1.1-rc-1